%% eucomes.sty
\NeedsTeXFormat{LaTeX2e}\relax
\ProvidesClass{eucomes}[2005/14/09 EuCoMeS Conference Proceedings]

%% Load ``scrartcl.cls'', using options ``11pt'' and A4 paper size as
%% default optionts.  Other author options are passed to the class:
\DeclareOption{a4paper}{\PassOptionsToClass{\CurrentOption}{scrartcl}}
\DeclareOption{11pt}{\PassOptionsToClass{\CurrentOption}{scrartcl}}
%\DeclareOption{DIV12}{\PassOptionsToClass{\CurrentOption}{scrartcl}}
\DeclareOption{twoside}{\PassOptionsToClass{\CurrentOption}{scrartcl}}
\DeclareOption{headexclude}{\PassOptionsToClass{\CurrentOption}{scrartcl}}
\DeclareOption{normalheadings}{\PassOptionsToClass{\CurrentOption}{scrartcl}}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{scrartcl}}
\ExecuteOptions{a4paper,11pt,twoside,headexclude,normalheadings}\relax
\ProcessOptions\relax
\LoadClass{scrartcl}

%% Load additional packages
\RequirePackage{amsmath,amssymb,amsthm}
\RequirePackage{graphicx}
\RequirePackage{scrpage2}
\RequirePackage{natbib}
\RequirePackage[left=25mm,right=25mm,top=30mm,bottom=50mm]{geometry}
\RequirePackage{hyperref}
\renewcommand{\UrlFont}{\normalfont}

% \renewcommand*\maketitle[1][1]{\par
%   \@tempcnta=#1\relax\ifnum\@tempcnta=1\else
%   \ClassWarning{scrartcl}
%   {Optional argument of \string\maketitle\space ignored
%     at\MessageBreak
%     notitlepage-mode}\fi
%   \begingroup
%   \renewcommand*\thefootnote{\@fnsymbol\c@footnote}%
%   \let\@oldmakefnmark\@makefnmark
%   \renewcommand*{\@makefnmark}{\rlap\@oldmakefnmark}
%   \if@twocolumn
%   \ifnum \col@number=\@ne
%   \@maketitle
%   \else
%   \twocolumn[\@maketitle]%
%   \fi
%   \else
%   \newpage
%   \global\@topnum\z@
%   \@maketitle
%   \fi
%   \thispagestyle{\titlepagestyle}\@thanks
%   \endgroup
%   \setcounter{footnote}{0}%
%   \let\thanks\relax
%   \let\maketitle\relax
%   \let\@maketitle\relax
%   \global\let\@thanks\@empty
%   \global\let\@author\@empty
%   \global\let\@date\@empty
%   \global\let\@title\@empty
%   \global\let\@extratitle\@empty
%   \global\let\@titlehead\@empty
%   \global\let\@subject\@empty
%   \global\let\@publishers\@empty
%   \global\let\@uppertitleback\@empty
%   \global\let\@lowertitleback\@empty
%   \global\let\@dedication\@empty
%   \global\let\author\relax
%   \global\let\title\relax
%   \global\let\extratitle\relax
%   \global\let\titlehead\relax
%   \global\let\subject\relax
%   \global\let\publishers\relax
%   \global\let\uppertitleback\relax
%   \global\let\lowertitleback\relax
%   \global\let\dedication\relax
%   \global\let\date\relax
%   \global\let\and\relax}

% theorem-like environments
\newtheorem{theorem}{Theorem}
\newtheorem{thm}{Theorem}
\newtheorem*{theorem*}{Theorem}
\newtheorem*{thm*}{Theorem}
\newtheorem{proposition}{Proposition}
\newtheorem{prop}{Proposition}
\newtheorem*{proposition*}{Proposition}
\newtheorem*{prop*}{Proposition}
\newtheorem{corollary}{Corollary}
\newtheorem{cor}{Corollary}
\newtheorem*{corollary*}{Corollary}
\newtheorem*{cor*}{Corollary}
\newtheorem{lemma}{Lemma}
\newtheorem{lem}{Lemma}
\newtheorem*{lemma*}{Lemma}
\newtheorem*{lem*}{Lemma}
\theoremstyle{definition}
\newtheorem{definition}{Definition}
\newtheorem{dfn}{Definition}
\newtheorem*{definition*}{Definition}
\newtheorem*{dfn*}{Definition}
\theoremstyle{remark}
\newtheorem{remark}{Remark}
\newtheorem{rem}{Remark}
\newtheorem*{remark*}{Remark}
\newtheorem*{rem*}{Remark}
\newtheorem{example}{Example}
\newtheorem{ex}{Example}
\newtheorem*{example*}{Example}
\newtheorem*{ex*}{Example}

% font selection
\setkomafont{title}{\normalfont}
\setkomafont{descriptionlabel}{\normalfont\itshape}
\setkomafont{pagehead}{\small}
\setkomafont{sectioning}{\normalfont\bfseries}

% figure captions
\setcapindent{1em}

% page headers
\deftripstyle{eucomestitle}{}{}{}{}{\thepage}{}
\renewcommand*{\titlepagestyle}{eucomestitle}
\pagestyle{scrheadings}
\cehead{\EuCoMeS\ 1st European Conference on Mechanism Science}
%\ohead{\thepage}
\ofoot{}
\cfoot{\thepage}
%\ifoot{}
\let\runninghead\cohead

% bibliography
\bibpunct{(}{)}{;}{}{,}{,~}

\providecommand{\EuCoMeS}{\textsc{EuCoMeS}}
\providecommand{\email}[1]{\href{mailto:#1}{\protect\nolinkurl{#1}}}
\renewcommand{\vec}[1]{\mathbf{#1}}

\titlehead{%
  \flushright
  Proceedings of \EuCoMeS, the first\\
  European Conference on Mechanism Science\\
  Obergurgl (Austria), February 21--26 2006\\
  Manfred Husty and Hans-Peter Schr\"ocker, editors}
\date{}

%% Close class file:
\endinput
%% End of ``eucomes.cls''
